Subject: Re: Updates to RF Spec for DOCSIS 1.1

From: Guenter Roeck <[email-masked]>
Date: Thu, 26 Aug 1999 07:46:28 -0700 (PDT)

> 
> I think we need to update the following for DOCSIS 1.1 support in RF
> MIB:
> 
> Update docsIfCmCapabilities and docsIfCmtsCapabilities to add
> fragmentation(3), payloadHeaderSupression(4), igmp(5), bpi(6)?,
> bpiPlus(7) capability. Also, for docsIfCmtsCapabilities add
> piggyBackRequests(9) and multipleGrantMode(10).
> 
Agreed. Question is, however, how much of the above is mandatory
and therefore not needed. Is piggyback now optional ? And I thought
payloadHeaderSupression is mandatory for 1.1, though I may be wrong.

Thanks,
Guenter

> A text to specify how payload header suppression, concatenation and
> fragmentation effect ifTable counters for both mac layer and up and down
> interfaces.
> 
> 
> Add some mac layer error/statisitic counters for fragmentation and
> concatenation such as FragmentationDiscardPkts,
> ConcatenationDiscardsPkts
>

---

From: Guenter Roeck <[email-masked]>
Date: Thu, 26 Aug 1999 08:38:22 -0700 (PDT)

> Guenter Roeck wrote:
> A CMTS MAY support Piggyback Mode for fragmentation (RFIv1.1
> section8.3.2.2)
> 
So this is in addition to the basic piggybacking ? Will at least
need some explanation to avoid misunderstandings.

> PHS is required for the CM but not for the CMTS. (RFIv1.1 section
> 6.2.6.3.1)
> 
Ok.

> The other consideration are CMs and CMTSs that support some of the
> DOCSIS 1.1 features but not all of them.
> 
Is this a valid consideration for a MIB ? Seems to me those would
only be for testing purpose and not for a shipping product.
Just my opinion - I am fine with it.

Note that my personal opinion differs from what is the MIB anyway.
The WG had decided earlier that only optional features be listed.
This is where my question originates.

Guenter